Skip to content
SENS Platform Docs

Return the current user, session, roles, and membership grants.

GET
/v1/auth/me
curl --request GET \
--url https://api.dev.iot-sens.schlossers.at/v1/auth/me \
--header 'Authorization: Bearer <token>'

Current authentication and authorization context.

Media typeapplication/json
object
userId
required
string format: uuid
username
required
string
email
required
string
displayName
required
string
sessionId
required
string format: uuid
authenticationMethod
required
string
Allowed values: password oidc
platformRoles
required
Array<string>
Allowed values: platform_admin
memberships
required
Array<object>
object
membershipId
required
string format: uuid
tenantId
required
string format: uuid
organizationUnitId
string format: uuid
role
required
string
Allowed values: tenant_admin org_admin viewer
includeDescendants
required
boolean
passwordChangeRequired
required
boolean
analytics

Optional pseudonymous identity for explicitly consented product analytics. Present only when the server-side integration is enabled.

object
schemaVersion
required
integer
Allowed value: 1
subjectId
required
string
/^[A-Za-z0-9_-]{43}$/
tenantGroupIds
required
object
key
additional properties
string
/^[A-Za-z0-9_-]{43}$/
Example
{
"authenticationMethod": "password",
"platformRoles": [
"platform_admin"
],
"memberships": [
{
"role": "tenant_admin"
}
],
"analytics": {
"schemaVersion": 1
}
}
Cache-Control
string
Allowed value: no-store

Bearer authentication is missing, invalid, expired, or revoked.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store
WWW-Authenticate
string
Allowed value: Bearer

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store